using System;
using PSO2SERVER.Models;
using PSO2SERVER.Protocol.Packets;

namespace PSO2SERVER.Protocol.Handlers
{
    [PacketHandlerAttr(0x07, 0x37)]
    public class _07_37_UNK : PacketHandler
    {
        public uint unk { get; set; } = 0;

        public override void HandlePacket(Client context, byte flags, byte[] data, uint position, uint size)
        {
            var info = string.Format("[<--] 接收到的数据 (hex): {0} 字节", data.Length);
            Logger.WriteHex(info, data);

            var reader = new PacketReader(data, position, size);
            unk = reader.ReadUInt32();

            Logger.WriteObj(unk);
        }
    }
}
